Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# ks_twosamp

scipy.stats.mstats.ks_twosamp(data1, data2, alternative='two-sided', method='auto')

  Computes the Kolmogorov-Smirnov test on two samples.

  Missing values in x and/or y are discarded.

  Parameters:
    data1 array_like

      First data set

    data2 array_like

      Second data set

    alternative{‘two-sided’, ‘less’, ‘greater’}, optional

      Indicates the alternative hypothesis. Default is ‘two-sided’.

    method{‘auto’, ‘exact’, ‘asymp’}, optional

      Defines the method used for calculating the p-value. The following options are available (default is ‘auto’):

      > - ‘auto’ : use ‘exact’ for small size arrays, ‘asymp’ for large

      > - ‘exact’ : use approximation to exact distribution of test statistic

      > - ‘asymp’ : use asymptotic distribution of test statistic

  Returns:
    d float

      Value of the Kolmogorov Smirnov test

    p float

      Corresponding p-value.